# OpenML dataset: bolts

https://www.openml.org/d/857

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**:   
**Source**: Unknown - Date unknown  
**Please cite**:   

SUMMARY:

Data from an experiment on the affects of machine adjustments on
the time to count bolts.  Data appear as the STATS (Issue 10) Challenge.

DATA:

Submitted by W. Robert Stephenson, Iowa State University
email: wrstephe@iastate.edu

A manufacturer of automotive accessories provides hardware, e.g. nuts,
bolts, washers and screws, to fasten the accessory to the car or truck.
Hardware is counted and packaged automatically.  Specifically, bolts
are dumped into a large metal dish.  A plate that forms the bottom of
the dish rotates counterclockwise.  This rotation forces bolts to the
outside of the dish and up along a narrow ledge.  Due to the vibration
of the dish caused by the spinning bottom plate, some bolts fall off
the ledge and back into the dish.  The ledge spirals up to a point
where the bolts are allowed to drop into a pan on a conveyor belt.
As a bolt drops, it passes by an electronic eye that counts it.  When
the electronic counter reaches the preset number of bolts, the
rotation is stopped and the conveyor belt is moved forward.

There are several adjustments on the machine that affect its operation.
These include; a speed setting that controls the speed of rotation
(SPEED1) of the plate at the bottom of the dish, a total number of
bolts (TOTAL) to be counted, a second speed setting (SPEED2) that is
used to change the speed of rotation (usually slowing it down) for the
last few bolts, the number of bolts to be counted at this second speed
(NUMBER2), and the sensitivity of the electronic eye (SENS).  The
sensitivity setting is to insure that the correct number of bolts are
counted.  Too few bolts packaged causes customer complaints.  Too many
bolts packaged increases costs.  For each run conducted in this
experiment the correct number of bolts was counted.  From an
engineering standpoint if the correct number of bolts is counted, the
sensitivity should not affect the time to count bolts.  The measured
response is the time (TIME), in seconds, it takes to count the desired
number of bolts.  In order to put times on a equal footing the
response to be analyzed is the time to count 20 bolts (T20BOLT).
Below are the data for 40 combinations of settings.  RUN is the order
in which the data were collected.

Analyze the data.  What adjustments have the greatest effect on the
time to count 20 bolts?  How would you adjust the machine to get
the shortest time to count 20 bolts?  Are there any unusual features
to the data?

Data

RUN   SPEED1   TOTAL   SPEED2   NUMBER2   SENS   TIME   T20BOLT


The data description and data may be freely used for non-commercial
purposes and can be freely distributed.  Copyright remains with the
author and STATS Magazine.


Information about the dataset
CLASSTYPE: numeric
CLASSINDEX: last

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/857) of an [OpenML dataset](https://www.openml.org/d/857). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/857/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/857/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/857/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

